Skip to main content
GET
List verifications

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include_history
boolean
default:false

If true, include old (inactive) records as well.

id
string<uuid>[]

Unique identifier for the resource. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

verification_type
enum<string>[]

The type of verification run. Multiple values can be provided as a comma-separated list.

The verification run on the customer. One the following:

  • IDENTITY – verify that the information provided is associated with the identity of a real person or business.
  • WATCHLIST – checks watchlists for known fraud, money laundering, and other suspicious activity.
  • DOCUMENT_VERIFICATION – verifies the authenticity of a document, such as a driver's license, or other government-issued identification document.
  • RELATED_ENTITIES – represents dependent verification checks for related parties (e.g. all beneficial owners must pass KYC for a business to pass KYB).
  • MANUAL_REVIEW – represents the outcome of a manual review of the verification done on a party (note: overrides the outcome of other verification types).
  • LICENSE – represents the outcome of a license verification.
Available options:
DOCUMENT_VERIFICATION,
IDENTITY,
LICENSE,
MANUAL_REVIEW,
RELATED_ENTITIES,
WATCHLIST
business_id
string<uuid>[]

Unique identifier for the business. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

result
enum<string>[]

The result of the verification that was run on the party. Multiple values can be provided as a comma-separated list.

The determination of this verification. One of the following:

  • UNVERIFIED – record representing the absence of a verification.
  • PENDING – verification is in progress for this customer.
  • PROVISIONAL – partially verified or verified with restrictions.
  • ACCEPTED – the customer has been verified.
  • REVIEW – verification has run and issues have been identified and require review.
  • VENDOR_ERROR – verification did not successfully run due to an unexpected error or failure.
  • REJECTED – the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
ACCEPTED,
PENDING,
PROVISIONAL,
REJECTED,
REVIEW,
UNVERIFIED,
VENDOR_ERROR
person_id
string<uuid>[]

Unique identifier for the person. Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

Response

List verifications.

verifications
object[]
required

Array of verification results.

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"